# PHTML::InputPassword Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::InputPassword:

List of all members.

## Public Member Functions

| InputPassword (const char *fname, int size, const char *init=NULL, const char *attr=NULL)
| InputPassword (const char *fname, int size, DisableCodes disabled, const char *attr=NULL)
| InputPassword (const char *fname, int size, int maxLength, DisableCodes disabled=Enabled, const char *attr=NULL)
| InputPassword (const char *fname, int size, const char *init, int maxLength, DisableCodes disabled=Enabled, const char *attr=NULL)
virtual | ~InputPassword ()

## Constructor & Destructor Documentation

PHTML::InputPassword::InputPassword | ( | const char * | fname,
|  | int | size,
|  | const char * | init = `NULL`,
|  | const char * | attr = `NULL` |
| ) |  |  |

PHTML::InputPassword::InputPassword | ( | const char * | fname,
|  | int | size,
|  | DisableCodes | disabled,
|  | const char * | attr = `NULL` |
| ) |  |  |

PHTML::InputPassword::InputPassword | ( | const char * | fname,
|  | int | size,
|  | int | maxLength,
|  | DisableCodes | disabled = `Enabled`,
|  | const char * | attr = `NULL` |
| ) |  |  |

PHTML::InputPassword::InputPassword | ( | const char * | fname,
|  | int | size,
|  | const char * | init,
|  | int | maxLength,
|  | DisableCodes | disabled = `Enabled`,
|  | const char * | attr = `NULL` |
| ) |  |  |

virtual PHTML::InputPassword::~InputPassword | ( |  | ) | `[inline, virtual]`

The documentation for this class was generated from the following file:

- html.h